VERSION 5.00
Begin VB.Form F_RemoteTest 
   Caption         =   "Remote Studio Applet Test"
   ClientHeight    =   5055
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   5895
   Icon            =   "remotestudio.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   5055
   ScaleWidth      =   5895
   StartUpPosition =   3  'Windows-Standard
   Begin VB.TextBox E_Method 
      Height          =   288
      Left            =   240
      TabIndex        =   11
      Top             =   4440
      Width           =   2532
   End
   Begin VB.TextBox E_Scriptmodule 
      Height          =   288
      Left            =   240
      TabIndex        =   9
      Top             =   3720
      Width           =   2532
   End
   Begin VB.TextBox E_WebServerURL 
      Height          =   288
      Left            =   240
      TabIndex        =   7
      Top             =   3000
      Width           =   2532
   End
   Begin VB.TextBox E_Server 
      Height          =   288
      Left            =   240
      TabIndex        =   5
      Top             =   2280
      Width           =   2532
   End
   Begin VB.TextBox E_Task 
      Height          =   288
      Left            =   240
      TabIndex        =   3
      Top             =   1560
      Width           =   2532
   End
   Begin VB.TextBox E_OmnisLib 
      Height          =   288
      Left            =   240
      TabIndex        =   1
      Top             =   840
      Width           =   2532
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Call Testmethod in Omnis"
      Height          =   372
      Left            =   240
      TabIndex        =   0
      Top             =   120
      Width           =   2172
   End
   Begin VB.Label Label6 
      AutoSize        =   -1  'True
      Caption         =   "Name of Omnis method to execute"
      Height          =   192
      Left            =   240
      TabIndex        =   12
      Top             =   4200
      Width           =   2448
   End
   Begin VB.Label Label5 
      AutoSize        =   -1  'True
      Caption         =   "Location of Omnis Script modul"
      Height          =   192
      Left            =   240
      TabIndex        =   10
      Top             =   3480
      Width           =   2196
   End
   Begin VB.Label Label4 
      AutoSize        =   -1  'True
      Caption         =   "Webserver URL"
      Height          =   192
      Left            =   240
      TabIndex        =   8
      Top             =   2760
      Width           =   1164
   End
   Begin VB.Label Label3 
      AutoSize        =   -1  'True
      Caption         =   "Server:Port number"
      Height          =   192
      Left            =   240
      TabIndex        =   6
      Top             =   2040
      Width           =   1380
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      Caption         =   "Name of Omnis Remote Task"
      Height          =   192
      Left            =   240
      TabIndex        =   4
      Top             =   1320
      Width           =   2124
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "Name of Omnis Library"
      Height          =   192
      Left            =   240
      TabIndex        =   2
      Top             =   600
      Width           =   1632
   End
End
Attribute VB_Name = "F_RemoteTest"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim IniFile As String




Private Sub ReadConfig()
    Dim OmnisServer As String
    Dim OmnisPort As String

    IniFile = CurDir
    If Right(IniFile, 1) <> "\" Then
        IniFile = IniFile & "\"
    End If
    IniFile = IniFile & "rsa_demo.ini"
    
    E_OmnisLib.Text = GetIniString("RemoteStudio", "OmnisLibrary", IniFile)
    E_Task.Text = GetIniString("RemoteStudio", "OmnisClass", IniFile)
    
    OmnisServer = GetIniString("RemoteStudio", "OmnisServer", IniFile)
    If OmnisServer = "unknown" Then
        OmnisServer = ""
    End If
    OmnisPort = GetIniString("RemoteStudio", "OmnisPort", IniFile)
    If Not IsNumeric(OmnisPort) Then
        MsgBox "The Omnisport is INI-Value is empty or not numeric", vbCritical, "Settings error"
        End
    End If
    
    If Len(OmnisServer) = 0 Then
        E_Server.Text = OmnisPort
    Else
        E_Server.Text = OmnisServer & ":" & OmnisPort
    End If
    
    E_WebServerURL.Text = GetIniString("RemoteStudio", "WebServerURL", IniFile)
    E_Scriptmodule.Text = GetIniString("RemoteStudio", "WebServerScript", IniFile)
End Sub

Public Sub SetOmnisMethod(pMethodName As String)
    E_Method.Text = pMethodName
End Sub

Private Sub Command1_Click()
    Dim rsapp As RemoteStudio.Application
    Dim args(1) As RemoteStudio.RSvar
    Dim result As RemoteStudio.RSvar
    ' Create applet & connect
    Set rsapp = New RemoteStudio.Application
    rsapp.omnisLibrary = E_OmnisLib.Text
    rsapp.omnisClass = E_Task.Text
    rsapp.OmnisServer = E_Server.Text
    
    rsapp.serverURL = E_WebServerURL.Text ' IP of your server
    rsapp.serverScript = E_Scriptmodule.Text
    
    If (rsapp.open()) Then
        MsgBox ("Error " + rsapp.errorText())
    End If
    ' Setup parameters and call routine
    'The line below from the example in the doc doesn't work
    'Set args(0) = New RemoteStudio.RSvar
    'This works
    Set args(0) = rsapp.newChar("The Hitchhiker 's Guide to the Galaxy")
    Set args(1) = rsapp.newLong(42)
    Set result = rsapp.execute(E_Method.Text, args, 2)
    If (rsapp.errorId()) Then
        MsgBox ("Error " + Str(rsapp.errorId()) + ":" + rsapp.errorText())
    Else
        MsgBox ("Method returned: " + result.getChar())
    End If
    ' Close applet
    rsapp.Close
End Sub



Private Sub Form_Load()
    ReadConfig
End Sub



